Package com.avaya.clientservices.collaboration

## Class CollaborationReceiveStatistics

- java.lang.Object
- - com.avaya.clientservices.collaboration.CollaborationStatistics
  - - com.avaya.clientservices.collaboration.CollaborationReceiveStatistics

-     public class CollaborationReceiveStatistics
      extends CollaborationStatistics

  Received statistics with additional three values received from WCS collaboration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationReceiveStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFrameCount()` | Returns received frame count.
    `int` | `getFrameLossPercentage()` | Returns frame loss percentage.
    `int` | `getQueueSize()` | Returns receiving frame queue size.

    - ### Methods inherited from class com.avaya.clientservices.collaboration.CollaborationStatistics

      `getActualBitRate, getActualFrameRate, getCodec, getJitterMilliseconds, getPacketLossCount, getPacketLossPercentage, getResolutionHeight, getResolutionWidth, getRoundTripTimeMilliseconds, getTargetBitRate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationReceiveStatistics

          public CollaborationReceiveStatistics()

  - ### Method Detail

    - #### getFrameCount

          public int getFrameCount()

      Returns received frame count.
      Returns:
        received frame count. If value is undefined -1 is returned.

    - #### getFrameLossPercentage

          public int getFrameLossPercentage()

      Returns frame loss percentage.
      Returns:
        frame loss percentage. If value is undefined -1 is returned.

    - #### getQueueSize

          public int getQueueSize()

      Returns receiving frame queue size.
      Returns:
        receiving frame queue size. If value is undefined -1 is returned.